'use strict'
var config = require('../config/config.js');
var CryptoJS = require("crypto-js");

function toJson(code_, obj_, errMsg_) {
    var code = code_
    var data = obj_
    var errMsg = errMsg_
    let jopt = { code, data, errMsg };
    return JSON.stringify(jopt)
}

/**
 * 
 * @param {*} crypt_key 密文
 * @param {*} message 待解密的内容 U2FsdGVkX18zHfDE3lO2yVxk2lMCEiwjrzYo1ZbHqfriFapZWXqLhczs9J0cN9EnvQR64GLRzYDgzMuAr9U1C0LZjA5mV4cSAZeBOrY8KNY09+BhTDetb2/43bIwiFR6
 */
function decryptPrivityKey(crypt_key, message) {
    // var encrypt_pk = 'gAAAAABiYlOdvJbcNP8n3h0yT6QUTWLAOAHnL8cMRrU29PduZ5dh_aXC7YvKWwXTARN4YQBcVlnSX5oY-LcdGKWYn9yL0wD2KmnnTiLciYAyThdoMQIjcWcej8eNyFk3je0IUsXz6uQ11U5u6b9QltozL_bunKTdrT3g1i4_b9_dxU7cPlKPUIY='
    // // Encrypt
    // var ciphertext = CryptoJS.AES.encrypt(message, crypt_key).toString();
    // // Decrypt
    // var bytes = CryptoJS.AES.decrypt(message, crypt_key);
    // var bytes2 = CryptoJS.AES.decrypt(encrypt_pk, crypt_key);
    // var originalText = bytes.toString(CryptoJS.enc.Utf8);
    // var originalText2 = bytes2.toString(CryptoJS.enc.Utf8);
    // console.log("密文=", message);
    // console.log("密钥=", crypt_key);
    // console.log("解密后的明文=", originalText);
    // console.log("直接解密后的明文=", originalText2);

    // console.debug('decryptPrivityKey=', config.moralis_config.test_server.DEFAULT_PRIVATE_KEY);
    // return config.moralis_config.test_server.DEFAULT_PRIVATE_KEY;
    // return originalText

    //通过密文 + 密钥解密得到私钥
    var bytes = CryptoJS.AES.decrypt(message, crypt_key);
    var originalText = bytes.toString(CryptoJS.enc.Utf8);
    return originalText
}

module.exports = {
    toJson,
    decryptPrivityKey,
}